#! /bin/bash
set -e

# Utiliser pour creer un fichier de settings en fonction des variables d'environnement (envoye par Docker)
#TODO : integrer les variables WEB_HTTP_PORT et WEB_HTTPS_PORT

cat <<EOF
<?php

define("USE_PROD_NOTIFICATIONS",${USE_PROD_NOTIFICATIONS:-false});
define("WEBSITE","http://${S2LOW_WEBSITE:-s2low.docker.libriciel.fr}${WEB_HTTP_PORT/$WEB_HTTP_PORT/:}${WEB_HTTP_PORT:-}${S2LOW_URL_PATH:-}/");
define("WEBSITE_SSL","https://${S2LOW_WEBSITE:-s2low.docker.libriciel.fr}${WEB_HTTPS_PORT/$WEB_HTTPS_PORT/:}${WEB_HTTPS_PORT:-}${S2LOW_URL_PATH:-}/");
define("WEBSITE_MAIL","https://${S2LOW_WEBSITE_MAIL:-mail.s2low.docker.libriciel.fr}${WEB_HTTPS_PORT/$WEB_HTTPS_PORT/:}${WEB_HTTPS_PORT:-}/");
define("OPERATEUR_DE_TELETRANSMISSION","${OPERATEUR_DE_TELETRANSMISSION:-Libriciel SCOP}");
define("IMAGE_FOR_STAMP","${IMAGE_FOR_STAMP:-/var/www/s2low/public.ssl/custom/images/s2low-stamp.png}");
define("LIBERSIGN_INSTALLER","${LIBERSIGN_INSTALLER-https://libersign.libriciel.fr/make.sh}");
define('DB_HOST', "${POSTGRES_HOST:-db}");
define('DB_USER', "${POSTGRES_USER:-s2lowuser}");
define('DB_PASSWORD', "${POSTGRES_PASSWORD:-s2lowpassword}");
define('DB_DATABASE', "${POSTGRES_DB:-s2lowdb}");

define('DB_HOST_TEST', "${POSTGRES_HOST_TEST:-dbtest}");
define('DB_USER_TEST', "${POSTGRES_USER_TEST:-s2lowusertest}");
define('DB_PASSWORD_TEST', "${POSTGRES_PASSWORD_TEST:-s2lowpasswordtest}");
define('DB_DATABASE_TEST', "${POSTGRES_DATABASE_TEST:-s2lowdbtest}");

define('CONVERT_API_LOGINS_FROM_ISO', ${CONVERT_API_LOGINS_FROM_ISO:-false});

define('ONLY_USE_VALIDCARGS', ${ONLY_USE_VALIDCARGS:-false});

define("HELIOS_RETENTION_FICHIERS_NB_JOURS","${HELIOS_RETENTION_FICHIERS_NB_JOURS:-3650000}");

define("MAILER_DSN","${MAILER_DSN:-smtp://maildev:1025?verify_peer=0}");
define("TDT_FROM_EMAIL","${TDT_FROM_EMAIL:-Tiers de télétransmission <s2low@s2low.docker.libriciel.fr>}");

define('ACTES_TDT_MAIL_ADDRESS', "${ACTES_TDT_MAIL_ADDRESS:-s2low@s2low.docker.libriciel.fr}");
define('ACTES_IMAP_HOST', "${ACTES_IMAP_HOST:-mail}");
define('ACTES_IMAP_PORT', "${ACTES_IMAP_PORT:-143}");
define('ACTES_IMAP_LOGIN', "${ACTES_IMAP_LOGIN:-s2low@s2low.docker.libriciel.fr}");
define('ACTES_IMAP_PASSWORD', "${ACTES_IMAP_PASSWORD:-password}");
define('ACTES_IMAP_OPTIONS', "${ACTES_IMAP_OPTIONS:-/imap/notls/novalidate-cert}");

define('ACTES_APPLI_NAME', "${ACTES_APPLI_NAME:-TACT}");
define('ACTES_APPLI_TRIGRAMME', "${ACTES_APPLI_TRIGRAMME:-abc}");
define('ACTES_APPLI_QUADRIGRAMME', "${ACTES_APPLI_QUADRIGRAMME:-TACT}");
define('ACTES_MAIL_BACKUP', "${ACTES_MAIL_BACKUP:-}");
define('ACTES_COMMON_BROADCAST_EMAILS', "${ACTES_COMMON_BROADCAST_EMAILS:-}");

define('ACTES_MINISTERE_URL', "${ACTES_MINISTERE_URL:-http://simulateur/Simulateur/actesPost}");
define('ACTES_MINISTERE_AUTHENTICATION', "${ACTES_MINISTERE_AUTHENTICATION:-NONE}");
define('ACTES_MINISTERE_LOGIN', "${ACTES_MINISTERE_LOGIN:-}");
define('ACTES_MINISTERE_PASSWORD', "${ACTES_MINISTERE_PASSWORD:-}");
define('ACTES_MINISTERE_CERTIFICATE', "${ACTES_MINISTERE_CERTIFICATE:-}");
define('ACTES_MINISTERE_CERTIFICATE_KEY', "${ACTES_MINISTERE_CERTIFICATE_KEY:-}");
define('ACTES_MINISTERE_CERTIFICATE_KEY_PASS', "${ACTES_MINISTERE_CERTIFICATE_KEY_PASS:-}");
define('ACTES_MINISTERE_SERVER_CERTIFICATE_PATH', "${ACTES_MINISTERE_SERVER_CERTIFICATE_PATH:-}");
define('ACTES_MINISTERE_ADAPT_PROTOCOL', "${ACTES_MINISTERE_ADAPT_PROTOCOL:-false}");

define("OPENSTACK_ENABLE",${OPENSTACK_ENABLE:-false});
define("ACTES_OPENSTACK_AUTHENTICATION_URL_V3","${ACTES_OPENSTACK_AUTHENTICATION_URL_V3:-https://auth.cloud.ovh.net/v3}");
define("ACTES_OPENSTACK_USERNAME","${ACTES_OPENSTACK_USERNAME}");
define("ACTES_OPENSTACK_PASSWORD","${ACTES_OPENSTACK_PASSWORD}");
define("ACTES_OPENSTACK_TENANT","${ACTES_OPENSTACK_TENANT}");
define("ACTES_OPENSTACK_REGION","${ACTES_OPENSTACK_REGION}");
define("ACTES_OPENSTACK_SWIFT_CONTAINER_PREFIX","${ACTES_OPENSTACK_SWIFT_CONTAINER_PREFIX}");

define("HELIOS_OPENSTACK_AUTHENTICATION_URL_V3","${HELIOS_OPENSTACK_AUTHENTICATION_URL_V3:-https://auth.cloud.ovh.net/v3}");
define("HELIOS_OPENSTACK_USERNAME","${HELIOS_OPENSTACK_USERNAME}");
define("HELIOS_OPENSTACK_PASSWORD","${HELIOS_OPENSTACK_PASSWORD}");
define("HELIOS_OPENSTACK_TENANT","${HELIOS_OPENSTACK_TENANT}");
define("HELIOS_OPENSTACK_REGION","${HELIOS_OPENSTACK_REGION}");
define("HELIOS_OPENSTACK_SWIFT_CONTAINER_PREFIX","${HELIOS_OPENSTACK_SWIFT_CONTAINER_PREFIX}");

define("HELIOS_ACQUIT_OPENSTACK_AUTHENTICATION_URL_V3","${HELIOS_ACQUIT_OPENSTACK_AUTHENTICATION_URL_V3:-https://auth.cloud.ovh.net/v3}");
define("HELIOS_ACQUIT_OPENSTACK_USERNAME","${HELIOS_ACQUIT_OPENSTACK_USERNAME}");
define("HELIOS_ACQUIT_OPENSTACK_PASSWORD","${HELIOS_ACQUIT_OPENSTACK_PASSWORD}");
define("HELIOS_ACQUIT_OPENSTACK_TENANT","${HELIOS_ACQUIT_OPENSTACK_TENANT}");
define("HELIOS_ACQUIT_OPENSTACK_REGION","${HELIOS_ACQUIT_OPENSTACK_REGION}");
define("HELIOS_ACQUIT_OPENSTACK_SWIFT_CONTAINER_PREFIX","${HELIOS_ACQUIT_OPENSTACK_SWIFT_CONTAINER_PREFIX}");

define("HELIOS_RETOUR_OPENSTACK_AUTHENTICATION_URL_V3","${HELIOS_RETOUR_OPENSTACK_AUTHENTICATION_URL_V3:-https://auth.cloud.ovh.net/v3}");
define("HELIOS_RETOUR_OPENSTACK_USERNAME","${HELIOS_RETOUR_OPENSTACK_USERNAME}");
define("HELIOS_RETOUR_OPENSTACK_PASSWORD","${HELIOS_RETOUR_OPENSTACK_PASSWORD}");
define("HELIOS_RETOUR_OPENSTACK_TENANT","${HELIOS_RETOUR_OPENSTACK_TENANT}");
define("HELIOS_RETOUR_OPENSTACK_REGION","${HELIOS_RETOUR_OPENSTACK_REGION}");
define("HELIOS_RETOUR_OPENSTACK_SWIFT_CONTAINER_PREFIX","${HELIOS_RETOUR_OPENSTACK_SWIFT_CONTAINER_PREFIX}");

define("MAILSEC_OPENSTACK_AUTHENTICATION_URL_V3","${MAILSEC_OPENSTACK_AUTHENTICATION_URL_V3:-https://auth.cloud.ovh.net/v3}");
define("MAILSEC_OPENSTACK_USERNAME","${MAILSEC_OPENSTACK_USERNAME}");
define("MAILSEC_OPENSTACK_PASSWORD","${MAILSEC_OPENSTACK_PASSWORD}");
define("MAILSEC_OPENSTACK_TENANT","${MAILSEC_OPENSTACK_TENANT}");
define("MAILSEC_OPENSTACK_REGION","${MAILSEC_OPENSTACK_REGION}");
define("MAILSEC_OPENSTACK_SWIFT_CONTAINER_PREFIX","${MAILSEC_OPENSTACK_SWIFT_CONTAINER_PREFIX}");


#A vérifier
#define('ANTIVIRUS_COMMAND','/usr/bin/clamdscan --fdpass --stream');
define('PADES_VALID_URL', "${PADES_VALID_URL:-http://pades-valid:8080}");
define('PDF_STAMP_URL', "${PDF_STAMP_URL:-http://pdf-stamp:8080}");

define('HELIOS_OCRE_FILE_PATH','/data/tdt-workspace/helios/ocre/');
define('EXPORT_LOGS_DIRECTORY','/data/tdt-workspace/logs-export/');

define('EMAIL_ADMIN_TECHNIQUE',"${EMAIL_ADMIN_TECHNIQUE:-noreply@locahost}");

define("REDIS_SERVER","${REDIS_SERVER:-redis}");
define("REDIS_PORT",${REDIS_PORT:-6379});

define('ACTES_ALWAYS_CAN_VALIDATE',${ACTES_ALWAYS_CAN_VALIDATE:-false});

define("USE_LEGACY_BORDEREAU_MODEL",${USE_LEGACY_BORDEREAU_MODEL:-true});

define("USE_LEGACY_SECURE_MAIL_FIELDS",${USE_LEGACY_SECURE_MAIL_FIELDS:-false});
define("MAIL_TEDETIS_FROM","${MAIL_TEDETIS_FROM:-s2low@s2low.docker.libriciel.fr}");
define("MAIL_SECURE_DESCRIPTION","${MAIL_SECURE_DESCRIPTION}");
define("MAIL_MESSAGE","${MAIL_MESSAGE:-Vous avez reçu un courrier recommandé par S2LOW}");
define("MAIL_TEXT","${MAIL_TEXT:-Bonjour,

Un courrier recommandé avec d’éventuelles pièces jointes vous a été transmis par la plateforme sécurisée de l’ADULLACT. 
Nous vous proposons de cliquer sur le lien suivant pour accéder au courrier recommandé et confirmer la réception : 
accés au courrier recommandé.}");
EOF
